PHP is one of the most widely used web programming languages. It’s extremely popular since it is free software, which you can use to create interactive websites like social networking sites, online stores or online teaching portals instead of static HTML-based sites. A PHP module should be present on the web server where a PHP-powered website is hosted so that its code can be read. As there are no license charges for this type of module and the language offers limitless possibilities for the apps that you build, there are 100s of millions of PHP-driven sites. Moreover, there are lots of PHP scripts, which you can use for your sites without the need to have any coding experience. Given the fact that there are several versions of PHP, you should verify that the same exact version that you used whilst building your website is installed on the server too.
PHP 4 and PHP 5 Support in Shared Website Hosting
With our shared website hosting, you will be able to pick which version of PHP will be enabled for your web hosting account, as multiple versions are available on our servers. With just one click of the mouse, you will be able to switch between PHP 4, 5.2, 5.3, 5.4 and 5.5 and whenever a new version is launched in the future, we’ll add it to the Hepsia hosting Control Panel without removing the older versions. Thus, you will be able to host all the websites that you have developed through the years. In contrast to a lot of other hosting vendors, we will not force you to update such sites, because a script may be out of date, but this does not mean that it’s vulnerable as you may have carried out modifications to its code to repair security loopholes. For the sake of your convenience, you will even be able to set a different PHP version for each site that you host in your shared account.
PHP 4 and PHP 5 Support in Semi-dedicated Hosting
If you have a website created in an earlier PHP version and you’ve spent time and energy on developing it, patching security holes and inserting web page content, you will need a hosting service that can support it, since almost all web hosting suppliers today offer only the most recently published PHP version and abandon the older ones. We, on the other hand, have decided to allow you to select the version that your own sites require. Our semi-dedicated packages support PHP 4 and multiple versions of PHP 5, which goes to say that you’ll be able to use both newer and older scripts without losing any custom modifications or wasting time and efforts struggling to make your websites compatible with the web hosting environment. You can change the current version through the Hepsia Control Panel and such an update will affect the entire semi-dedicated server account, but you will also have the ability to select a different PHP version for each site hosted in your account by means of an .htaccess file.